package com.example.javacodegeeks.springjavaconfigapi;

import com.example.javacodegeeks.springjavaconfigapi.model.Actor;
import com.example.javacodegeeks.springjavaconfigapi.repository.ActorRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class LoadDataBase {
    private static final Logger log = LoggerFactory.getLogger(LoadDataBase.class);

    @Bean
    CommandLineRunner initDatabase(ActorRepository repository) {

        return args -> {
            log.info("Preloading " + repository.save(new Actor("Luke Skywalker", "jedi")));
            log.info("Preloading " + repository.save(new Actor("Darth Vader", "sith")));
        };
    }
}
